From d2362a1701f54b395f4ab4005844c5c75f38e3a1 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Thu, 26 Nov 2015 20:58:08 +0100
Subject: [PATCH 1/3] Remove sys/cpu/i386

---
 lib/libstand/Makefile             |   28 +-
 sys/cpu/i386/include/asm.h        |   97 ---
 sys/cpu/i386/include/asmacros.h   |  159 -----
 sys/cpu/i386/include/atomic.h     |  667 -----------------
 sys/cpu/i386/include/bus_at386.h  |  896 -----------------------
 sys/cpu/i386/include/bus_dma.h    |  106 ---
 sys/cpu/i386/include/coredump.h   |   14 -
 sys/cpu/i386/include/cpu.h        |  131 ----
 sys/cpu/i386/include/cpufunc.h    |  812 ---------------------
 sys/cpu/i386/include/cputypes.h   |   87 ---
 sys/cpu/i386/include/db_machdep.h |   98 ---
 sys/cpu/i386/include/elf.h        |  180 -----
 sys/cpu/i386/include/endian.h     |  168 -----
 sys/cpu/i386/include/exec.h       |   43 --
 sys/cpu/i386/include/frame.h      |  148 ----
 sys/cpu/i386/include/ieeefp.h     |  258 -------
 sys/cpu/i386/include/int_const.h  |   55 --
 sys/cpu/i386/include/int_limits.h |  157 ----
 sys/cpu/i386/include/inttypes.h   |  221 ------
 sys/cpu/i386/include/limits.h     |  118 ---
 sys/cpu/i386/include/lwbuf.h      |   83 ---
 sys/cpu/i386/include/npx.h        |  166 -----
 sys/cpu/i386/include/param.h      |  234 ------
 sys/cpu/i386/include/perfmon.h    |  258 -------
 sys/cpu/i386/include/pmap.h       |  101 ---
 sys/cpu/i386/include/profile.h    |  178 -----
 sys/cpu/i386/include/psl.h        |   89 ---
 sys/cpu/i386/include/reg.h        |  145 ----
 sys/cpu/i386/include/reloc.h      |   54 --
 sys/cpu/i386/include/segments.h   |  277 --------
 sys/cpu/i386/include/setjmp.h     |   52 --
 sys/cpu/i386/include/sigframe.h   |   70 --
 sys/cpu/i386/include/signal.h     |  115 ---
 sys/cpu/i386/include/specialreg.h |  537 --------------
 sys/cpu/i386/include/stdarg.h     |   85 ---
 sys/cpu/i386/include/stdint.h     |  134 ----
 sys/cpu/i386/include/sysarch.h    |   86 ---
 sys/cpu/i386/include/tls.h        |  150 ----
 sys/cpu/i386/include/trap.h       |  100 ---
 sys/cpu/i386/include/tss.h        |   85 ---
 sys/cpu/i386/include/types.h      |  124 ----
 sys/cpu/i386/include/ucontext.h   |   81 ---
 sys/cpu/i386/include/varargs.h    |   66 --
 sys/cpu/i386/include/vframe.h     |   50 --
 sys/cpu/i386/include/vm86.h       |  172 -----
 sys/cpu/i386/misc/atomic.c        |   48 --
 sys/cpu/i386/misc/bzeront.s       |   59 --
 sys/cpu/i386/misc/db_disasm.c     | 1423 -------------------------------------
 sys/cpu/i386/misc/elf_machdep.c   |  194 -----
 sys/cpu/i386/misc/i386-gdbstub.c  |  612 ----------------
 sys/cpu/i386/misc/in_cksum2.s     |   87 ---
 sys/cpu/i386/misc/ktr.c           |   86 ---
 sys/cpu/i386/misc/lwbuf.c         |  176 -----
 sys/cpu/i386/misc/monitor.s       |   68 --
 54 files changed, 3 insertions(+), 10685 deletions(-)
 delete mode 100644 sys/cpu/i386/include/asm.h
 delete mode 100644 sys/cpu/i386/include/asmacros.h
 delete mode 100644 sys/cpu/i386/include/atomic.h
 delete mode 100644 sys/cpu/i386/include/bus_at386.h
 delete mode 100644 sys/cpu/i386/include/bus_dma.h
 delete mode 100644 sys/cpu/i386/include/coredump.h
 delete mode 100644 sys/cpu/i386/include/cpu.h
 delete mode 100644 sys/cpu/i386/include/cpufunc.h
 delete mode 100644 sys/cpu/i386/include/cputypes.h
 delete mode 100644 sys/cpu/i386/include/db_machdep.h
 delete mode 100644 sys/cpu/i386/include/elf.h
 delete mode 100644 sys/cpu/i386/include/endian.h
 delete mode 100644 sys/cpu/i386/include/exec.h
 delete mode 100644 sys/cpu/i386/include/frame.h
 delete mode 100644 sys/cpu/i386/include/ieeefp.h
 delete mode 100644 sys/cpu/i386/include/int_const.h
 delete mode 100644 sys/cpu/i386/include/int_limits.h
 delete mode 100644 sys/cpu/i386/include/inttypes.h
 delete mode 100644 sys/cpu/i386/include/limits.h
 delete mode 100644 sys/cpu/i386/include/lwbuf.h
 delete mode 100644 sys/cpu/i386/include/npx.h
 delete mode 100644 sys/cpu/i386/include/param.h
 delete mode 100644 sys/cpu/i386/include/perfmon.h
 delete mode 100644 sys/cpu/i386/include/pmap.h
 delete mode 100644 sys/cpu/i386/include/profile.h
 delete mode 100644 sys/cpu/i386/include/psl.h
 delete mode 100644 sys/cpu/i386/include/reg.h
 delete mode 100644 sys/cpu/i386/include/reloc.h
 delete mode 100644 sys/cpu/i386/include/segments.h
 delete mode 100644 sys/cpu/i386/include/setjmp.h
 delete mode 100644 sys/cpu/i386/include/sigframe.h
 delete mode 100644 sys/cpu/i386/include/signal.h
 delete mode 100644 sys/cpu/i386/include/specialreg.h
 delete mode 100644 sys/cpu/i386/include/stdarg.h
 delete mode 100644 sys/cpu/i386/include/stdint.h
 delete mode 100644 sys/cpu/i386/include/sysarch.h
 delete mode 100644 sys/cpu/i386/include/tls.h
 delete mode 100644 sys/cpu/i386/include/trap.h
 delete mode 100644 sys/cpu/i386/include/tss.h
 delete mode 100644 sys/cpu/i386/include/types.h
 delete mode 100644 sys/cpu/i386/include/ucontext.h
 delete mode 100644 sys/cpu/i386/include/varargs.h
 delete mode 100644 sys/cpu/i386/include/vframe.h
 delete mode 100644 sys/cpu/i386/include/vm86.h
 delete mode 100644 sys/cpu/i386/misc/atomic.c
 delete mode 100644 sys/cpu/i386/misc/bzeront.s
 delete mode 100644 sys/cpu/i386/misc/db_disasm.c
 delete mode 100644 sys/cpu/i386/misc/elf_machdep.c
 delete mode 100644 sys/cpu/i386/misc/i386-gdbstub.c
 delete mode 100644 sys/cpu/i386/misc/in_cksum2.s
 delete mode 100644 sys/cpu/i386/misc/ktr.c
 delete mode 100644 sys/cpu/i386/misc/lwbuf.c
 delete mode 100644 sys/cpu/i386/misc/monitor.s

diff --git a/lib/libstand/Makefile b/lib/libstand/Makefile
index bee036c..bfde95a 100644
--- a/lib/libstand/Makefile
+++ b/lib/libstand/Makefile
@@ -18,7 +18,7 @@ WARNS?=		2
 # Mostly OK, some of the libc imports are a bit noisy
 CFLAGS+=	-ffreestanding
 
-.if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "x86_64"
+.if ${MACHINE_ARCH} == "x86_64"
 .if ${CCVER:Mgcc*}
 CFLAGS+=	-mpreferred-stack-boundary=2
 .endif
@@ -40,7 +40,7 @@ SRCS+=	strcasecmp.c
 
 # string functions from libc
 .PATH:	${.CURDIR}/../libc/string
-.if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "x86_64"
+.if ${MACHINE_ARCH} == "x86_64"
 SRCS+=	bcmp.c bcopy.c bzero.c ffs.c index.c memccpy.c memchr.c memcmp.c \
         memcpy.c memmove.c memset.c qdivrem.c rindex.c strcat.c strchr.c \
         strcmp.c strcpy.c strcspn.c strlen.c strncat.c strncmp.c strncpy.c \
@@ -50,7 +50,7 @@ SRCS+=	bcmp.c bcopy.c bzero.c ffs.c index.c memccpy.c memchr.c memcmp.c \
 SRCS+=  icrc32.c
 
 # _setjmp/_longjmp
-.if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "x86_64"
+.if ${MACHINE_ARCH} == "x86_64"
 .PATH:	${.CURDIR}/i386
 .else
 .endif
@@ -94,25 +94,3 @@ SRCS+=	hammer1.c
 SRCS+=	hammer2.c
 
 .include <bsd.lib.mk>
-
-.if ${MACHINE_ARCH} == "x86_64"
-CFLAGS+= -I${.OBJDIR}
-
-.PATH: ${.OBJDIR}/machine
-
-in_cksum.c: endian.h stdint.h
-stand.h:    stdarg.h
-_setjmp.S:  asm.h
-
-endian.h stdint.h asm.h stdarg.h:
-	mkdir -p machine
-	${LN} -fs ${.CURDIR}/../../sys/cpu/i386/include/${.TARGET:T} \
-		machine/${.TARGET:T}
-
-cpu:
-	mkdir -p ${.TARGET}
-
-beforedepend: cpu
-
-CLEANDIRS+=	machine cpu
-.endif
